## rust-librocksdb-sys 0.17.1

=== Makefile ===
include rocksdb/src.mk

rocksdb_lib_sources.txt: rocksdb/src.mk
	@echo -n "${LIB_SOURCES}" | tr ' ' '\n' > rocksdb_lib_sources.txt

gen_lib_sources: rocksdb_lib_sources.txt

gen_statistics: rocksdb/monitoring/statistics.cc
	bash gen_statistics.bash $< Ticker     > ../src/statistics_enum_ticker.rs
	bash gen_statistics.bash $< Histogram  > ../src/statistics_enum_histogram.rs

## rust-librocksdb-sys 0.16.0

=== debian/changelog ===
rust-librocksdb-sys (0.16.0-1) unstable; urgency=medium

  * Package librocksdb-sys 0.16.0+8.10.0 from crates.io using debcargo 2.7.3-alpha.0

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 15 Dec 2024 23:24:42 +0100

=== debian/control ===
Source: rust-librocksdb-sys
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native <!nocheck>,
 rustc:native (>= 1.66.0) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bindgen-0.70+runtime-dev <!nocheck>,
 librust-cc-1+default-dev <!nocheck>,
 librust-cc-1+parallel-dev <!nocheck>,
 librust-glob-0.3+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-pkg-config-0.3+default-dev <!nocheck>,
 liburing-dev <!nocheck>,
 librocksdb-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Michael R. Crusoe <crusoe@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/librocksdb-sys]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/librocksdb-sys
X-Cargo-Crate: librocksdb-sys
Rules-Requires-Root: no

Package: librust-librocksdb-sys-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bindgen-0.70+runtime-dev,
 librust-bzip2-sys-0.1-dev,
 librust-cc-1+default-dev,
 librust-cc-1+parallel-dev,
 librust-glob-0.3+default-dev,
 librust-libc-0.2+default-dev,
 librust-libz-sys-1-dev (>= 1.1-~~),
 librust-lz4-sys-1+default-dev (>= 1.9-~~),
 librust-pkg-config-0.3+default-dev,
 librust-tikv-jemalloc-sys-0.5+default-dev,
 librust-tikv-jemalloc-sys-0.5+unprefixed-malloc-on-supported-platforms-dev,
 librust-zstd-sys-2+default-dev,
 librust-zstd-sys-2+zdict-builder-dev,
 liburing-dev,
 librocksdb-dev
Provides:
 librust-librocksdb-sys+bzip2-dev (= ${binary:Version}),
 librust-librocksdb-sys+bzip2-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys+default-dev (= ${binary:Version}),
 librust-librocksdb-sys+io-uring-dev (= ${binary:Version}),
 librust-librocksdb-sys+jemalloc-dev (= ${binary:Version}),
 librust-librocksdb-sys+libz-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys+lz4-dev (= ${binary:Version}),
 librust-librocksdb-sys+lz4-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys+rtti-dev (= ${binary:Version}),
 librust-librocksdb-sys+tikv-jemalloc-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys+zlib-dev (= ${binary:Version}),
 librust-librocksdb-sys+zstd-dev (= ${binary:Version}),
 librust-librocksdb-sys+zstd-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+bzip2-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+bzip2-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+default-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+io-uring-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+jemalloc-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+libz-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+lz4-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+lz4-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+rtti-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+tikv-jemalloc-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+zlib-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+zstd-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+zstd-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16+bzip2-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16+bzip2-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16+default-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16+io-uring-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16+jemalloc-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16+libz-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16+lz4-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16+lz4-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16+rtti-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16+tikv-jemalloc-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16+zlib-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16+zstd-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16+zstd-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16.0-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16.0+bzip2-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16.0+bzip2-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16.0+default-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16.0+io-uring-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16.0+jemalloc-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16.0+libz-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16.0+lz4-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16.0+lz4-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16.0+rtti-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16.0+tikv-jemalloc-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16.0+zlib-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16.0+zstd-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.16.0+zstd-sys-dev (= ${binary:Version})
Description: Native bindings to librocksdb - Rust source code
 Source code for Debianized Rust crate "librocksdb-sys"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test librocksdb-sys 0.16.0 --all-targets --all-features
Features: test-name=rust-librocksdb-sys:@
Depends: dh-cargo (>= 31), rustc (>= 1.66.0), librust-const-cstr-0.3+default-dev, librust-uuid-1+default-dev, librust-uuid-1+v4-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test librocksdb-sys 0.16.0 --all-targets --no-default-features --features bzip2
Features: test-name=librust-librocksdb-sys-dev:bzip2
Depends: dh-cargo (>= 31), rustc (>= 1.66.0), librust-const-cstr-0.3+default-dev, librust-uuid-1+default-dev, librust-uuid-1+v4-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test librocksdb-sys 0.16.0 --all-targets --no-default-features --features bzip2-sys
Features: test-name=librust-librocksdb-sys-dev:bzip2-sys
Depends: dh-cargo (>= 31), rustc (>= 1.66.0), librust-const-cstr-0.3+default-dev, librust-uuid-1+default-dev, librust-uuid-1+v4-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test librocksdb-sys 0.16.0 --all-targets
Features: test-name=librust-librocksdb-sys-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.66.0), librust-const-cstr-0.3+default-dev, librust-uuid-1+default-dev, librust-uuid-1+v4-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test librocksdb-sys 0.16.0 --all-targets --no-default-features --features io-uring
Features: test-name=librust-librocksdb-sys-dev:io-uring
Depends: dh-cargo (>= 31), rustc (>= 1.66.0), librust-const-cstr-0.3+default-dev, librust-uuid-1+default-dev, librust-uuid-1+v4-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test librocksdb-sys 0.16.0 --all-targets --no-default-features --features jemalloc
Features: test-name=librust-librocksdb-sys-dev:jemalloc
Depends: dh-cargo (>= 31), rustc (>= 1.66.0), librust-const-cstr-0.3+default-dev, librust-uuid-1+default-dev, librust-uuid-1+v4-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test librocksdb-sys 0.16.0 --all-targets --no-default-features --features libz-sys
Features: test-name=librust-librocksdb-sys-dev:libz-sys
Depends: dh-cargo (>= 31), rustc (>= 1.66.0), librust-const-cstr-0.3+default-dev, librust-uuid-1+default-dev, librust-uuid-1+v4-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test librocksdb-sys 0.16.0 --all-targets --no-default-features --features lz4
Features: test-name=librust-librocksdb-sys-dev:lz4
Depends: dh-cargo (>= 31), rustc (>= 1.66.0), librust-const-cstr-0.3+default-dev, librust-uuid-1+default-dev, librust-uuid-1+v4-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test librocksdb-sys 0.16.0 --all-targets --no-default-features --features lz4-sys

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/librocksdb-sys-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/librocksdb-sys .*/crates/librocksdb-sys/@ANY_VERSION@/download

## rust-librocksdb-sys 0.17.1

=== debian/changelog ===
rust-librocksdb-sys (0.17.1-2) unstable; urgency=medium

  [ NoisyCoil ]
  * Package librocksdb-sys 0.17.1+9.9.3 from crates.io using debcargo 2.7.6
  * d/patches: add fix-tests (fixes autopkgtest on some architectures)

  [ Michael R. Crusoe ]
  * d/watch: restore custom fixes to ignore old versions.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 17 Jan 2025 17:32:46 +0100

rust-librocksdb-sys (0.17.1-1) unstable; urgency=medium

  * Team upload.
  * Package librocksdb-sys 0.17.1+9.9.3 from crates.io using debcargo 2.7.6
  * Enable snappy feature
  * Minimize patches

 -- Blair Noctis <ncts@debian.org>  Fri, 17 Jan 2025 07:17:06 +0000

=== debian/control ===
Source: rust-librocksdb-sys
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native <!nocheck>,
 rustc:native (>= 1.71.1) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bindgen-0+runtime-dev <!nocheck>,
 librust-bindgen-0-dev <!nocheck>,
 librust-cc-1+default-dev <!nocheck>,
 librust-cc-1+parallel-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-pkg-config-0.3+default-dev <!nocheck>,
 liburing-dev <!nocheck>,
 librocksdb-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Michael R. Crusoe <crusoe@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/librocksdb-sys]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/librocksdb-sys
Homepage: https://github.com/rust-rocksdb/rust-rocksdb
X-Cargo-Crate: librocksdb-sys
Rules-Requires-Root: no

Package: librust-librocksdb-sys-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bindgen-0+runtime-dev,
 librust-bindgen-0-dev,
 librust-bzip2-sys-0.1-dev,
 librust-cc-1+default-dev,
 librust-cc-1+parallel-dev,
 librust-libc-0.2+default-dev,
 librust-libz-sys-1-dev (>= 1.1-~~),
 librust-lz4-sys-1+default-dev (>= 1.10-~~),
 librust-pkg-config-0.3+default-dev,
 librust-tikv-jemalloc-sys-0.6+default-dev,
 librust-tikv-jemalloc-sys-0.6+unprefixed-malloc-on-supported-platforms-dev,
 librust-zstd-sys-2+default-dev,
 librust-zstd-sys-2+zdict-builder-dev,
 liburing-dev,
 librocksdb-dev
Provides:
 librust-librocksdb-sys+bindgen-runtime-dev (= ${binary:Version}),
 librust-librocksdb-sys+bzip2-dev (= ${binary:Version}),
 librust-librocksdb-sys+bzip2-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys+default-dev (= ${binary:Version}),
 librust-librocksdb-sys+io-uring-dev (= ${binary:Version}),
 librust-librocksdb-sys+jemalloc-dev (= ${binary:Version}),
 librust-librocksdb-sys+libz-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys+lto-dev (= ${binary:Version}),
 librust-librocksdb-sys+lz4-dev (= ${binary:Version}),
 librust-librocksdb-sys+lz4-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys+mt-static-dev (= ${binary:Version}),
 librust-librocksdb-sys+rtti-dev (= ${binary:Version}),
 librust-librocksdb-sys+snappy-dev (= ${binary:Version}),
 librust-librocksdb-sys+tikv-jemalloc-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys+zlib-dev (= ${binary:Version}),
 librust-librocksdb-sys+zstd-dev (= ${binary:Version}),
 librust-librocksdb-sys+zstd-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+bindgen-runtime-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+bzip2-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+bzip2-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+default-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+io-uring-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+jemalloc-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+libz-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+lto-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+lz4-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+lz4-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+mt-static-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+rtti-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+snappy-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+tikv-jemalloc-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+zlib-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+zstd-dev (= ${binary:Version}),
 librust-librocksdb-sys-0+zstd-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17+bindgen-runtime-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17+bzip2-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17+bzip2-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17+default-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17+io-uring-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17+jemalloc-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17+libz-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17+lto-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17+lz4-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17+lz4-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17+mt-static-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17+rtti-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17+snappy-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17+tikv-jemalloc-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17+zlib-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17+zstd-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17+zstd-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17.1-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17.1+bindgen-runtime-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17.1+bzip2-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17.1+bzip2-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17.1+default-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17.1+io-uring-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17.1+jemalloc-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17.1+libz-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17.1+lto-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17.1+lz4-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17.1+lz4-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17.1+mt-static-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17.1+rtti-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17.1+snappy-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17.1+tikv-jemalloc-sys-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17.1+zlib-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17.1+zstd-dev (= ${binary:Version}),
 librust-librocksdb-sys-0.17.1+zstd-sys-dev (= ${binary:Version})
Description: Native bindings to librocksdb - Rust source code
 Source code for Debianized Rust crate "librocksdb-sys"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test librocksdb-sys 0.17.1 --all-targets --all-features
Features: test-name=rust-librocksdb-sys:@
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-uuid-1+default-dev, librust-uuid-1+v4-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test librocksdb-sys 0.17.1 --all-targets --no-default-features --features bindgen-runtime
Features: test-name=librust-librocksdb-sys-dev:bindgen-runtime
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-uuid-1+default-dev, librust-uuid-1+v4-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test librocksdb-sys 0.17.1 --all-targets --no-default-features --features bzip2
Features: test-name=librust-librocksdb-sys-dev:bzip2
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-uuid-1+default-dev, librust-uuid-1+v4-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test librocksdb-sys 0.17.1 --all-targets --no-default-features --features bzip2-sys
Features: test-name=librust-librocksdb-sys-dev:bzip2-sys
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-uuid-1+default-dev, librust-uuid-1+v4-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test librocksdb-sys 0.17.1 --all-targets
Features: test-name=librust-librocksdb-sys-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-uuid-1+default-dev, librust-uuid-1+v4-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test librocksdb-sys 0.17.1 --all-targets --no-default-features --features io-uring
Features: test-name=librust-librocksdb-sys-dev:io-uring
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-uuid-1+default-dev, librust-uuid-1+v4-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test librocksdb-sys 0.17.1 --all-targets --no-default-features --features jemalloc
Features: test-name=librust-librocksdb-sys-dev:jemalloc
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-uuid-1+default-dev, librust-uuid-1+v4-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test librocksdb-sys 0.17.1 --all-targets --no-default-features --features libz-sys
Features: test-name=librust-librocksdb-sys-dev:libz-sys
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-uuid-1+default-dev, librust-uuid-1+v4-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test librocksdb-sys 0.17.1 --all-targets --no-default-features --features lto
Features: test-name=librust-librocksdb-sys-dev:lto
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-uuid-1+default-dev, librust-uuid-1+v4-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
# Keep until https://github.com/rust-rocksdb/rust-rocksdb/issues/971 is fixed
version=4
opts=filenamemangle=s/.*\/(.*)\/download/librocksdb-sys-$1\.tar\.gz/g,\
uversionmangle=s/^([56].*)$/0.0.$1/;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
  https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/librocksdb-sys .*/crates/librocksdb-sys/@ANY_VERSION@/download
